AC_DEFUN([AC_GDS_CXX_HAS_IS_NOTHROW_SWAPPABLE],[dnl
	AC_LANG_PUSH([C++])
	AC_COMPILE_IFELSE([AC_LANG_PROGRAM( [[
#include <algorithm>

struct gstruct
{
  void Swap( gstruct& rhs );
};

namespace std {
  template<>
  inline void swap<>( gstruct& lhs,
                gstruct& rhs )
  noexcept( __is_nothrow_swappable< gstruct >::value )
  {
    lhs.Swap( rhs );
  }
}
]],[[]])],[AC_DEFINE([HAVE_IS_NOTHROW_SWAPPABLE],[1],[Defined if swap needs __is_nothrow_swappable])
           HAVE_IS_NOTHROW_SWAPPABLE=1
          ],[HAVE_IS_NOTHROW_SWAPPABLE=0])
	AC_LANG_POP([C++])
	AC_SUBST([HAVE_IS_NOTHROW_SWAPPABLE])
])

